For the complete documentation index, see llms.txt. This page is also available as Markdown.

User

Create favorite

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Body
resource_idintegerOptional
resource_typestring · enumOptionalPossible values:
Responses
201

Created

application/json
resource_idintegerOptional
resource_typestring · enumOptionalPossible values:
post/user/favorite
POST /code/api/v1/user/favorite?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 45

{
  "resource_id": 1,
  "resource_type": "CONNECTOR"
}
{
  "resource_id": 1,
  "resource_type": "CONNECTOR"
}

Delete favorite

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
resource_idintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

resource_typestring · enumOptional

The type of the resource to be unfavorited.

Possible values:
Responses
204

No Content

No content

delete/user/favorite/{resource_id}
DELETE /code/api/v1/user/favorite/{resource_id}?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*

No content

Last updated

Was this helpful?